{
  lib,
  pkgs,
  config,
  osConfig,
  ...
}: {
  options.programs.anki = {
    enable = lib.mkEnableOption "enable anki";
  };

  config = lib.mkIf config.programs.anki.enable (lib.mkMerge [
    {
      home.packages = with pkgs; [
        anki
      ];
    }
    (
      lib.mkIf osConfig.host.impermanence.enable {
        # TODO: map impermanence for anki
      }
    )
  ]);
}
